@ECHO OFF

IF "%1"=="" GOTO USAGE
IF "%2"=="" GOTO USAGE
IF "%3"=="" GOTO USAGE

IF EXIST %2\dbs\p_create_ecperf.ora GOTO INIT
copy p_create_templ.ora %2\dbs\p_create_ecperf.ora
copy p_build_templ.ora %2\dbs\p_build_ecperf.ora
copy init_templ.ora %2\dbs\initecperf.ora
echo 以下の３ファイルを修正してください。
echo %2\dbs\p_create_ecperf.ora
echo %2dbs\p_build_ecperf.ora
echo %2\dbs\initecperf.ora
echo 例：
echo db_name=ecperf
echo control_files= %2\dbs\cntrlecperf.dbf
echo ■修正後、再度実行してください。
goto end

:INIT
md %1\oradata\ecperf
md %3\oradata\ecperf

set ORACLE_SID=ECPERF
%2\bin\oradim -new -sid ECPERF -startmode manual -pfile "%2\dbs\p_create_ecperf.ora"
rem pause
sqlplus /nolog @oracreate.sql %1 %2 %3
rem pause
sqlplus /nolog @orachema.sql %1 %2 %3
rem pause
%2\bin\oradim -edit -sid ecperf -startmode auto
GOTO end

:USAGE
echo **** USAGE : createdb [ORACLE_INSTDIR] [ORACLE_HOME] [ORACLE_HOME for logfile]****
:end


